.container {
    width: 600px;
    height: 600px;
    margin: 0 auto;
    box-shadow: 0 0 20px gray;
    text-align: center;
    position: relative;
}
.lake {
    width: 300px;
    position: absolute;
    top: 150px;
    left: 100px;
}
.duck{
    width: 80px;
    position: absolute;
    top: 300px;
    left: 150px;
    z-index: 1;
}

.duck:hover{
    animation-duration: 1s;
    animation-name: move;
}

@keyframes move {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(30px, 0);
    }
}